Package com.android.server.os

# Interface LinphoneTombstoneProtos.LogMessageOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`

All Known Implementing Classes:
  `LinphoneTombstoneProtos.LogMessage`, `LinphoneTombstoneProtos.LogMessage.Builder`

Enclosing class:
  LinphoneTombstoneProtos

public static interface LinphoneTombstoneProtos.LogMessageOrBuilder extends com.google.protobuf.MessageLiteOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`
`string message = 6;`
`com.google.protobuf.ByteString`
`getMessageBytes()`
`string message = 6;`
`int`
`getPid()`
`uint32 pid = 2;`
`int`
`getPriority()`
`uint32 priority = 4;`
`String`
`getTag()`
`string tag = 5;`
`com.google.protobuf.ByteString`
`getTagBytes()`
`string tag = 5;`
`int`
`getTid()`
`uint32 tid = 3;`
`String`
`getTimestamp()`
`string timestamp = 1;`
`com.google.protobuf.ByteString`
`getTimestampBytes()`
`string timestamp = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getTimestamp

String getTimestamp()
`string timestamp = 1;`

Returns:
  The timestamp.

### getTimestampBytes

com.google.protobuf.ByteString getTimestampBytes()
`string timestamp = 1;`

Returns:
  The bytes for timestamp.

### getPid

int getPid()
`uint32 pid = 2;`

Returns:
  The pid.

### getTid

int getTid()
`uint32 tid = 3;`

Returns:
  The tid.

### getPriority

int getPriority()
`uint32 priority = 4;`

Returns:
  The priority.

### getTag

String getTag()
`string tag = 5;`

Returns:
  The tag.

### getTagBytes

com.google.protobuf.ByteString getTagBytes()
`string tag = 5;`

Returns:
  The bytes for tag.

### getMessage

String getMessage()
`string message = 6;`

Returns:
  The message.

### getMessageBytes

com.google.protobuf.ByteString getMessageBytes()
`string message = 6;`

Returns:
  The bytes for message.